<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="utf-8">
<meta http-equiv="x-ua-compatible" content="ie=edge">
<title>Music All In</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link href="../../img/mini-logo.ico" rel="icon" type="image/ico" sizes="any">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css" integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz" crossorigin="anonymous">
<link href="../../css/style.css" rel="stylesheet">
<link href="../../css/simple-line-icons.css" rel="stylesheet">
<link href="../../css/pace.css" rel="stylesheet">
<link href="../../css/timepicki.css" rel="stylesheet">
</head>
<body id="sidebar" class="app header-fixed sidebar-fixed aside-menu-fixed sidebar-lg-show">
	<th:block th:include="fragments/header"></th:block>
	<div class="app-body">
		<th:block th:include="fragments/sidebar"></th:block>
		<main class="main">
            <div class="container-fluid">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item " aria-current="page">Subjects</li>
                        <li class="breadcrumb-item active" aria-current="page">New Subjects</li>
                    </ol>
                </nav>
                <section class="page-content">
                	<div class="position-relative border-bottom page-title">
                        <h2>New Subjects</h2>
                        <div class="position-absolute back-button">
                            <button class="btn btn-primary goto" onclick="history.back(-1)">Back</button>
                        </div>
                    </div>
                    <div class="animated fadeIn">
                        <div class="text-center">
							<div class="card offset-md-3 col-md-6 offset-md-3">
								<div class="card-body col-md-12">
									<form action="#" th:action="@{/subjects/add}" th:object="${subject}" method="post">
										<div class="row mt-3">
			<!-- NAME input -->					
											<div class="form-group form-inline col-md-12">
												<label for="name" class="col-md-3">Name</label>
												<input type="text" th:field="*{name}" class="form-control col-md-8" id="name" placeholder="Name" required>
												<span th:if="${#fields.hasErrors('name')}" th:errors="*{name}" class="text-danger"></span>
											</div>
			 <!-- DAYS input -->							
											<div class="form-group form-inline col-md-12">
												<label for="days" class="col-md-3">Days</label>
                                               	<select th:field="*{days}" class="form-control col-md-8" id="days" multiple data-live-search="true" required>
                                                    <option value="LUNES">LUNES</option>
                                                    <option value="MARTES">MARTES</option>
                                                    <option value="MIERCOLES">MIERCOLES</option>
                                                    <option value="JUEVES">JUEVES</option>
                                                    <option value="VIERNES">VIERNES</option>
                                                    <option value="SABADOS">SABADOS</option>
                                                </select>

											 	<span th:if="${#fields.hasErrors('days')}" th:errors="*{days}" class="text-danger"></span>
											</div>
											
			 <!-- STARTTIME input -->
											<div class="form-group form-inline col-md-12">
                                                 <label for="startTime" class="col-md-3">Start Time:</label>   
                                                 <input type="text" id="startTime" class="form-control col-md-8" th:field="*{startTime}" placeholder="Start Time" required>
                                                 <span th:if="${#fields.hasErrors('startTime')}" th:errors="*{startTime}" class="text-danger"></span>
                                                 	<div class="timepicker_wrap" style="top: 31px; left: 8px;"><div class="arrow_top"></div>
	                                          <div class="time">
	 	                                         <div class="prev"></div>
	 	                                         <div class="ti_tx"></div>
	 	                                         <div class="next"></div>
	                                             </div>
	                                             <div class="mins">
	 	                                            <div class="prev"></div>
	 	                                            <div class="mi_tx"></div>
	 	                                            <div class="next"></div>
	                                             </div>
	                                             	 <div class="meridian">
	 	                                                 <div class="prev"></div>
	 	                                                 <div class="mer_tx"></div>
	 	                                                 <div class="next"></div>
	                                                 </div>
	                                            </div>
                                            </div>
             <!-- DURATION input -->
											<div class="form-group form-inline col-md-12">
												<label for="duration" class="col-md-3">Duration</label>
												<input type="text" th:field="*{duration}" class="form-control col-md-8" id="duration" placeholder="duration" required>
												<span th:if="${#fields.hasErrors('duration')}" th:errors="*{duration}" class="text-danger"></span>
												<div class="timepicker_wrap" style="top: 31px; left: 8px;"><div class="arrow_top"></div>
	                                          <div class="time">
	 	                                         <div class="prev"></div>
	 	                                         <div class="ti_tx"></div>
	 	                                         <div class="next"></div>
	                                             </div>
	                                             <div class="mins">
	 	                                            <div class="prev"></div>
	 	                                            <div class="mi_tx"></div>
	 	                                            <div class="next"></div>
	                                             </div>
	                                            </div>
											</div>
											
										    <div class="col-md-12 mt-4">
												<input type="submit" class="btn btn-primary" value="Add Subject">
											</div>
										<div class="form-group col-md-8"></div>
									</form>
								</div>
							</div>
						</div>
					</div>
                </section>
			</div>
        </main>
	</div>
	<th:block th:include="fragments/footer"></th:block>
	<script src="../../js/jquery.js"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
    <script src="../../js/pace.js"></script>
    <script src="../../js/jquery.blockUI.js"></script>
    <script src="../../js/action.js"></script>
    <script src="../../js/fragments/sidebar.js"></script>
    <script src="../../js/timepiki.js"></script>
    <script> 
      $("#startTime").timepicki();
      $("#duration").duration();
     </script>
</body>
</html>